const _Http = getApp().globalData.http;
let count = 0; //接口完成数量

function loginMsg(res) {
    wx.setStorageSync('account_list', res.account_list);
    if (res.account_list.length == 1) {
        let item = res.account_list[0];
        wx.setStorageSync('userrole', item.usertype == 1 ? '业务员' : '经销商');
        wx.setStorageSync('userMsg', item)
        query_userauth();
    } else {
        wx.redirectTo({
            url: './selectSite',
        })
    }
}
/* 获取用户权限 */
function query_userauth() {
    query_adspacelist();
    querySite_Parameter();
    wx.setStorageSync('userauth', []);
    _Http.basic({
        "classname": "sysmanage.develop.userauth.userauth",
        "method": "query_userauth",
        content: {
            nocache: true
        }
    }).then(res => {
        console.log("查询权限", res.data)
        if (res.msg != '成功') return wx.showToast({
            title: '权限查询失败，请稍后再试',
            icon: "none"
        })
        wx.setStorageSync('userauth', res.data);
        count += 1;
        toHome();
    });
}
/* 查询站点数据 */
function querySite_Parameter() {
    _Http.basic({
        "classname": "webmanage.site.site",
        "method": "querySite_Parameter",
        "content": {}
    }).then(res => {
        if (res.msg != '成功') return wx.showToast({
            title: res.msg,
            icon: "none"
        });
        wx.setStorageSync('siteP', res.data);
        count += 1;
        toHome();
    })
}
/* 查询轮播图 */
function query_adspacelist() {
    _Http.basic({
        "classname": "common.adspace.adspace",
        "method": "query_adspacelist",
        "content": {}
    }).then(res => {
        if (res.msg != '成功') return wx.showToast({
            title: res.msg,
            icon: "none"
        });
        wx.setStorageSync('banner_list', res.data)
        count += 1;
        toHome();
    })
}

function toHome() {
    if (count < 3) return;
    wx.reLaunch({
        url: '/pages/index/index'
    })
    getApp().initSocket();
}
/* 站点数据查询 */
module.exports = {
    loginMsg,
    query_userauth
}